Draft: Filament/Polilinie

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Wire and the translation is 14% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Line.svg Line
Next: Fillet Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Draft Wire

poziția meniului
Draft → Wire
Workbenches
Draft, Arch
scurtătură
W I
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Line, Draft BSpline


Descriere

Unealta filament "Wire" creează o polilinie (o succesiune de segmente legate între ele) în planul de lucru curent. Preia valorile pentru lăţimea și culoarea liniei setate în prealabil pe tab-ul "Sarcini" (Tasks). Unealta "Wire" se comportă ca şi unealta linie din CIornă, cu deosebirea că va continua şi după trasarea între primele două puncte.

The Draft BSpline tool behaves like the Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

Draft Polyline example.jpg

Draft Polyline example.jpg

Cum se foloseşte

  1. Apăsați tasta Draft Wire.png Draft Wire button, or press W then I sau apăsați W apoi tastele I
  2. Faceți clic pe un prim punct din vizualizarea 3D sau tastați un coordinate
  3. Faceți clic pe un punct suplimentar în vizualizarea 3D sau tastați un coordinate
  4. Apăsați F sau C sau faceți dublu clic pe ultimul punct sau faceți clic pe primul punct pentru a termina sau a închide filamentul/polilinia. Dacă filamentul este închis, acesta va fi, de asemenea, o fațetă, chiar dacă acesta apare ca o rețea wireframe.

The wire can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Fuse single lines

If several connected Draft Lines are selected when pressing the Draft Wire.svg Draft Wire button, they will be turned into a wire and the command will exit. introduced in version 0.17

Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the start and end points of the lines, or use Draft Snap with the Draft Endpoint mode to make the nodes coincident.

Opțiuni

  • Dacă sunt selectate mai multe linii Draft Lines atunci când apăsați butonul Draft Wire, acestea vor fi transformate într-un fir și comanda va ieși. introduced in version 0.17/ro
  • Apăsați butonul F sau butonul Draft FinishLine.png Finish pentru a finalize firul și a-l lăsa deschis
  • Apăsați butonul C or the Draft CloseLine.png Close terminați firul, dar închizându-l prin adăugarea unui ultim segment între ultimul punct și primul.
  • Apăsați X, Y sau Z după un punct pentru a restrânge următorul punct de pe axa dată.
  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componentă X, Y și Z.
  • Apăsați tasta R sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Relativ. Dacă modul relativ este activ, coordonatele punctului următor sunt relative la ultimul. Dacă nu, ele sunt absolute, luate din punctul de origine (0,0,0).
  • Apăsați tasta T sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Continue. Dacă funcția continuă este activată, instrumentul Wire se va reporni după ce terminați sau închideți-l, permițându-vă să desenați altul fără să apăsați din nou butonul Wire.
  • Apăsați CTRL în timp ce desenați pentru a forța ancorarea snapping punctului dvs. către cea mai apropiată locație, independent de distanța.
  • Apăsați pe SHIFT în timp ce desenați constrain următorul punct pe orizontală sau pe verticală în raport cu ultimul.
  • Apăsați butonul W sau apăsați butonul Draft Wipe.png Șterge pentru a elimina segmentele existente și a porni firul de la ultima punct.
  • Apăsați tasta CTRL + Z sau apăsați pe Draft UndoLine.png Undo pentru a anula ultimul punct.
  • Apăsați butonul I sau butonul Fillet pentru a avea firul umplut cu o fațetă dacă este închis.
  • Apăsați butonul ESC sau butonul Cancel pentru a întrerupe comanda curentă.
  • Firele închise, atunci când sunt în modul de afișare "Flat Lines", pot afișa un model de hașură, prin setarea proprietății "Pattern" de mai jos.

Proprietăți

  • DATEClosed: Specifică dacă firul este închis sau nu
  • DATEChamfer Size: Specifică dimensiunea colțurilor zimțate
  • DATEFillet Radius: Specifică o rază de curbură pentru a da nodurilor sârmei
  • DATESubdivisions: Separă segmentele firului cu numărul de subdiviziuni date Disponibil în versiune 0.16/ro
  • DATEMake Face: Umple firul cu o față dacă este închis
  • VEDEREEnd Arrow: Arată un simbol săgeată în ultimul punct al firului, astfel încât acesta poate fi folosit ca linie de lider de adnotări
  • VEDEREPattern: Specifică un model de trasare pentru a umple firul cu (Sârmă închisă)
  • VEDEREPattern Size: Specifică dimensiunea șablonului de trasare

Data

  • DATAStart: specifies the first point in the wire.
  • DATAEnd: specifies the last point in the wire, not counting the initial point if the wire is closed.
  • DATAClosed: specifies if the wire is closed or not. If the wire is initially open, this value is False; setting it to True will draw a line segment to close the wire. If the wire is initially closed, this value is True; setting it to False will remove the last line segment, and make the wire open.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the wire.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DATAMake Face: specifies if the wire makes a face or not. If it is True a face is created, otherwise only the edges are considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the wire intersects itself, as it won't create a proper face.
  • DATASubdivisions: specifies the number of interior nodes in each segment of the wire. introduced in version 0.16
  • DATALength: (read-only) specifies the length of the entire wire.

View

  • VIEWEnd Arrow: if it is True it will display a symbol at the last point of the wire, so it can be used as an annotation line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the wire.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the wire, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed wire. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script-Programare

A se vedea FreeCAD Scripting Basics pentru mai multe informații

Instrumentul Wire tool poate fi utilizat în macros și de la consola Python utilizând următoarele funcții:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Creează un obiect Wire din lista dată de vectori sau din lista de puncte date pointslist.
    • Dacă închis este Adevărat sau dacă primele și ultimul puncte sunt identice, firul este închis.
  • Each point in the list is defined by its FreeCAD.Vector
    • Alternatively, the input can be a Part.Wire, from which points are extracted
    • Dacă closed este True (și firul este închis, (primul și ultimul punct sunt identice)), firul va forma o fațetă.
  • Se va folosi versiunea curentă de linie și culoareDraft Linestyle.
  • Returnează obiectul nou creat.

Exempluː

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Line.svg Line
Next: Fillet Draft Fillet.svg Arrow-right.svg